/*
 * MyPowerup.fx
 *
 * Created on 13.07.2009, 20:12:45
 * Created by Clemens Weidenhiller / Jeme
 * Please do not use this code without the permission of the author.
 * Breakout v 1.2 Beta
 */

package breakout;

import javafx.scene.media.MediaPlayer;

import javafx.scene.media.Media;

import java.io.File;

import javafx.stage.Stage;

import javafx.scene.shape.Rectangle;

import javafx.scene.image.ImageView;

import javafx.scene.image.Image;

import javafx.animation.Timeline;

import javafx.animation.KeyFrame;

import javafx.geometry.Point2D;

import javafx.scene.shape.Circle;

/**
 * @author jeme
 */


var powerupPlayer:MediaPlayer;
var soundDB:Media = Media{source:"file:/{new File(".").getCanonicalPath().replace("\\","/")}/Sounds/powerUP.wav"};
var soundTW:Media = Media{source:"file:/{new File(".").getCanonicalPath().replace("\\","/")}/Sounds/powerUP.wav"};

public class MyPowerup extends Rectangle
{
    public var myType:String;
    public var theStage:Stage;
    public var myImgView:ImageView;
    //The playerplatform it collides with...
    public var thePlatform:Rectangle;

    public var caught:Boolean;
    public var destructed:Boolean;

   
    public var twallImg:ImageView;
    public var cirlceTW:Circle;

    init
    {
        //only powerup is visible
        visible = false;
        caught = false;
        destructed = false;
        
        width = 30;
        height = 30;

        powerupPlayer = MediaPlayer{onEndOfMedia:function():Void{powerupPlayer.stop();}};

        if(myType.equals("DoubleBall"))
        {
            powerupPlayer.media = soundDB;
            powerupPlayer.currentTime = 0.0s;
            myImgView = ImageView{x:x y:bind y image:Image{url:"file:/{new File(".").getCanonicalPath()}\\Bilder\\powerup.jpg"}};
            theStage.scene.content = [theStage.scene.content,myImgView];
        }
        else if(myType.equals("ThroughWalls"))
        {
            powerupPlayer.media = soundTW;
            powerupPlayer.currentTime = 0.0s;
            myImgView = ImageView{x:x y:bind y image:Image{url:"file:/{new File(".").getCanonicalPath()}\\Bilder\\powerup.jpg"}};

            //disable image for now...maybe implemented later
            //twallImg = ImageView{x:bind cirlceTW.centerX y:bind cirlceTW.centerY image:Image{url:"file:/{new File(".").getCanonicalPath()}\\Bilder\\silverball.gif"}
                                //translateX:myImgView.x - myImgView.x - 10 translateY:myImgView.y - myImgView.y - 10 visible:false};
            theStage.scene.content = [theStage.scene.content,myImgView /*,twallImg*/];
        }
        else
        {
            println("Specify a type for the powerup!");
        }
        
    }

    public function playMedia()
    {
        powerupPlayer.play();
    }
}
