/*
 * MyVector.fx
 *
 * Created on 06.07.2009, 22:02:58
 * Created by Clemens Weidenhiller / Jeme
 * Please do not use this code without the permission of the author.
 * Breakout v 1.2 Beta
 */

package breakout;

import javafx.util.Math;

import java.awt.Point;

/**
 * @author jeme
 *
 * This class describes a math Vector
 */

public class MyVector
{
    public var x:Double;
    public var y:Double;


    public function get_Magnitude():Float
    {
        return Math.sqrt(x*x + y*y);
    }

    public function normalize()
    {
        var magnitude = get_Magnitude();
        x /= magnitude;
        y /= magnitude;
    }
}

public function vectorFromPoints(a:Point, b:Point):MyVector
    {
        return MyVector{x:b.x - a.x y:b.y - a.y};
    }
