/*
 * MyDestructibles.fx
 *
 * Created on 07.07.2009, 23:24:55
 * Created by Clemens Weidenhiller / Jeme
 * Please do not use this code without the permission of the author.
 * Breakout v 1.2 Beta
 */

package breakout;

import javafx.scene.paint.Color;


import javafx.scene.text.Text;








import javafx.scene.shape.Rectangle;
import javafx.animation.transition.PathTransition;

import javafx.scene.image.ImageView;


import javafx.animation.Timeline;

import javafx.animation.KeyFrame;





/**
 * @author jeme
 */

public class MyDestructibles extends Rectangle
{
    public var myHitPoints:Integer;
    public var myColor:Color;
    public var iAmDestructed:Boolean;
    public var myPointsToGive:Integer;

    //These 2 variables are used to logically determine the blocks position,
    //they are on a path physically but i need to determine their logical coordinates aswell
    public var myNotSeenX:Number;
    public var myNotSeenY:Number;

    //determines wether this block is currently moving on a bézier curve
    public var inAnimation:Boolean = false;
    public var myAnim:PathTransition;

    //Pops up when the player hits a brick and destroys it - shows the points to give
    public var myTxtField:Text;

    public var myImgView:ImageView;

    public var inDestructible:Boolean;

    public var myScoreView:ImageView;


    public var locked:Boolean;
    public var lockLine:Timeline;

    init
    {
        //myImgView = ImageView{x:bind MyDestructibles.x y:bind MyDestructibles.y image:Image{}};

        //extreeeeeeeme slowdown
        /*
        effect = 
        Lighting
        {
                diffuseConstant: 1.0
                specularConstant: 1.0
                specularExponent: 40
                surfaceScale: 1.0
        }*/

        locked = false;
        //lock the moving block from being hit a second time
        lockLine = Timeline{keyFrames: [KeyFrame{time:0.0s action:function():Void{locked = true;}}KeyFrame{time:2s action:function():Void{locked = false;}}]};
        iAmDestructed = false;
    }

    public function playLockLine()
    {
        lockLine.play();
    }

}
