/*
 * MyJavaStyleSound.fx
 *
 * Created on 14.07.2009, 11:29:07
 * Created by Clemens Weidenhiller / Jeme
 * Please do not use this code without the permission of the author.
 * Breakout v 1.2 Beta
 */

package breakout;

import java.applet.Applet;
import java.applet.AudioClip;
import java.net.MalformedURLException;
import java.net.URL;


/**
 * @author jeme
 * This class represents a sound class written in Java-Code-manner
 */

public class MyJavaStyleSound extends Applet
{
    var sound : AudioClip;

    //The sound-filename
    public var fileName : String on replace
    {
        try
        {
          var url : URL = new URL("{__DIR__}{fileName}");
          sound = Applet.newAudioClip(url);
        }
        catch (e : MalformedURLException)
        {
          println("The sound file doesn't exist");
        }
    };

  //Plays a sound file that has been preloaded to "fileName"
  public function play() : Void
  {
    if(sound != null)
    {
      sound.play();
    }
  }
}
