/*
 * MyPowerup.fx
 *
 * Created on 13.07.2009, 20:12:45
 * Created by Clemens Weidenhiller / Jeme
 * Please do not use this code without the permission of the author.
 * Breakout v 1.2 Beta
 */

package breakout;

import javafx.scene.media.MediaPlayer;

import javafx.scene.media.Media;

import java.io.File;
import javafx.scene.shape.Rectangle;

import javafx.scene.image.ImageView;
import javafx.scene.shape.Circle;
import javafx.stage.Stage;

import javafx.scene.image.Image;
import javafx.scene.effect.GaussianBlur;
import javafx.scene.effect.Flood;
import javafx.scene.effect.PerspectiveTransform;
import javafx.scene.effect.InvertMask;

/**
 * @author jeme
 */


var powerupPlayer:MediaPlayer;
var soundSD:Media = Media{source:"file:/{new File(".").getCanonicalPath().replace("\\","/")}/Sounds/powerDOWN.wav"};
var soundTW:Media = Media{source:"file:/{new File(".").getCanonicalPath().replace("\\","/")}/Sounds/powerDOWN.wav"};

public class MyPowerDown extends Rectangle
{
    public var myType:String;

    public var theStage:Stage;
    public var myImgView:ImageView;
    //The playerplatform it collides with...
    public var thePlatform:Rectangle;

    public var caught:Boolean;
    public var destructed:Boolean;
    public var theBlocks:MyDestructibles[];

    
    public var cirlceTW:Circle;

    init
    {
        powerupPlayer = MediaPlayer{};

        if(myType.equals("SizeReduce"))
        {
            powerupPlayer.media = soundSD;
            myImgView = ImageView{x:x y:bind y image:Image{url:"file:/{new File(".").getCanonicalPath()}\\Bilder\\powerdown.gif"}};

            
            theStage.scene.content = [theStage.scene.content,myImgView];

        }
        else if(myType.equals("SlowDown"))
        {
            powerupPlayer.media = soundTW;
        }
        else if(myType.equals("Dizzy"))
        {
            //change to another sound in the future...
            powerupPlayer.media = soundSD;
            myImgView = ImageView{x:x y:bind y image:Image{url:"file:/{new File(".").getCanonicalPath()}\\Bilder\\powerdownDIZZY.jpg"}};


            theStage.scene.content = [theStage.scene.content,myImgView];
        }

        else
        {
            println("This Powerdown does NOT exist!");
        }
    }

    public function playMedia()
    {
        powerupPlayer.play();
    }


}
